News
Insights

Goodbye PHP 5.3 - Welcome PHP 5.4

Neue Standard PHP-Version ab 1. März 2014 bei Hostfactory, für mehr Speed und Sicherheit!

PHP 5.4 wird neue PHP-Version für Standard Hosting

Ab Ende März 2014 werden neue Virtual Shared Standard Hosting Accounts von hostfactory.ch auf Linux Debian 7 Servern mit PHP 5.4 Support eingerichtet werden, während bestehende Accounts im Verlauf der nächsten Wochen, frühestens ab April 2014, entsprechend aktualisiert werden: Hierbei wird der Support von PHP 5.3 eingestellt, anschliessend PHP 5.4 zur Verfügung stehen.

Image: 1-4fac83467069c.png

PHP 5.4 - Was heisst das für mich?

Nachdem PHP 5.3 einige Jahre zuverlässige Dienste geleistet hat, erreicht diese PHP-Version diesen Sommer End-of-Life Status. Im Rahmen der Aktualisierung aller Server auf Linux Debian 7 "Wheezy" wird ab diesem Frühjahr Ihr PHP-Web von PHP 5.4 unterstützt werden.

PHP 5.4 kommt mit einige Neuerungen daher, während gewisse Funktionen, welche unter PHP 5.3 bereits als 'deprecated' gewarnt wurden, nicht mehr angeboten werden.

Wenn Sie Ihre Anwendungen jederzeit aktuell halten, werden diese mit PHP 5.4 gut zurechtkommen. Sollten Sie aber veraltete Scripte im Einsatz haben, sollten Sie diese - nicht zuletzt auch aus Sicherheitsgründen! - umgehend aktualisieren.

Beachten Sie: Ihre Website wird ohne nachfolgend beschriebene Prüfung, resp. Korrektur möglicherweise ab 1. April 2014 (Kein Scherz) nicht mehr funktionieren!

PHP 5.4 - Kommt meine Anwendung klar damit?

Wenn Sie nicht sicher sind, ob Ihre Applikation mit PHP 5.4 zurechtkommen wird, empfehlen wir Ihnen folgendes Vorgehen: Gehen Sie nach my.hostfactory.ch -> 'Webhostings' -> (Hosting wählen, falls mehrere) -> (Domain-Account wählen) -> 'Bearbeiten' -> 'php.ini Einstellungen' und ändern sie folgende Settings:

  • error_reporting: E_ALL
  • display_errors: on

Rufen Sie anschliessend Ihre entsprechenden Anwendungen auf und prüfen Sie, ob keine Fehler und Warnungen (insebsondere 'deprecated') angezeigt werden.

Prüfen Sie zusätzlich via my.hostfactory.ch -> 'Webhostings' -> (Hosting wählen, falls mehrere) -> (Domain-Account wählen) -> 'Erweitert' -> 'Logfiles' das aktuelle 'error_log' auf Fehler. - Alles in Ordnung? Alles in Ordnung!

Wenn Sie jedoch Warnungen und Fehler erhalten, korrigieren Sie ihre Anwendung entsprechend; evtl. ziehen Sie hierzu bei Bedarf einen Fachmann bei. - Ausserdem finden Sie auf PHP.net diesbezüglich nützliche Informationen.

PHP 5.4 - Welche bekannten Anwendungen unterstützen PHP 5.4?

Folgende bekannten OpenSource Applikationen mit der erwähnten Versionsnummer oder höher sind mit PHP 5.4 kompatibel:

  • Joomla 2.5.0
  • Joomla 3.1.0
  • Wordpress 3.6.0
  • Typo3 6.1
  • Contao 2.11

PHP 5.4 - Was ist in PHP 5.4 neu?

Die neuen Funktionen in PHP 5.4 werden auf PHP.net ausführlich beschrieben.

PHP 5.4 - Was funktioniert nicht mehr?

In PHP 5.4 wurde der PHP safe_mode abgeschafft, magic_quotes, register_globals und register_long_arrays funktionieren nicht mehr. Eine vollständige Übersicht der nicht abwärts kompatiblen Änderungen finden sie auf PHP.net

hostfactory.ch
Neuigkeit